osmium::util::DeltaDecode< TValue, TDelta > Class Template Reference

`#include <delta.hpp>`

Collaboration diagram for osmium::util::DeltaDecode< TValue, TDelta >:
[legend]

## Public Types

using | value_type = TValue
using | delta_type = TDelta

## Public Member Functions

| DeltaDecode ()
void | clear () noexcept
TValue | update (TDelta delta) noexcept

## Private Attributes

DeltaDecode value type must be some | integer
DeltaDecode delta type must be some signed | integer
TValue | m_value

## Detailed Description

### template<typename TValue, typename TDelta = int64_t>
class osmium::util::DeltaDecode< TValue, TDelta >

Helper class for delta decoding.

## Member Typedef Documentation

template<typename TValue , typename TDelta = int64_t>

using osmium::util::DeltaDecode< TValue, TDelta >::delta_type = TDelta

template<typename TValue , typename TDelta = int64_t>

using osmium::util::DeltaDecode< TValue, TDelta >::value_type = TValue

## Constructor & Destructor Documentation

template<typename TValue , typename TDelta = int64_t>

osmium::util::DeltaDecode< TValue, TDelta >::DeltaDecode | ( |  | ) |

inline

## Member Function Documentation

template<typename TValue , typename TDelta = int64_t>

void osmium::util::DeltaDecode< TValue, TDelta >::clear | ( |  | ) |

inline noexcept

template<typename TValue , typename TDelta = int64_t>

TValue osmium::util::DeltaDecode< TValue, TDelta >::update | ( | TDelta | delta | ) |

inline noexcept

## Member Data Documentation

template<typename TValue , typename TDelta = int64_t>

DeltaDecode value type must be some osmium::util::DeltaDecode< TValue, TDelta >::integer

private

template<typename TValue , typename TDelta = int64_t>

DeltaDecode delta type must be some signed osmium::util::DeltaDecode< TValue, TDelta >::integer

private

template<typename TValue , typename TDelta = int64_t>

TValue osmium::util::DeltaDecode< TValue, TDelta >::m_value

private

The documentation for this class was generated from the following file:

- osmium/util/delta.hpp